#!/usr/bin/env node
"use strict";

var atras = require("atras-js");
var argumentos = process.argv;
var comando = argumentos[2];
var arquivo = argumentos[3];
var descricao = argumentos[4];

if (comando === "add") {
  var anterior = atras.ver(arquivo) || "";

  atras.add(arquivo, descricao);

  if (anterior === descricao) {
    console.log("Cancelado!");
  } else {
    console.log("Adicionado com sucesso!");
  }
} else if (comando === "del") {
  atras.del(arquivo);

  if (!atras.ver(arquivo)) {
    console.log("Deletado com sucesso!");
  } else {
    console.log("Cancelado!");
  }
} else if (comando === "ver") {
  console.log(atras.ver(arquivo) || "");
}
